import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:wordguessing/provider/data.dart';
import 'package:wordguessing/ui/games/game_pick_image.dart';
import 'package:wordguessing/ui/games/game_pick_word.dart';
import 'package:wordguessing/ui/games/game_selector.dart';

class GamePage extends StatelessWidget {
  const GamePage({super.key});

  @override
  Widget build(BuildContext context) {
    final Data myProvider = Provider.of<Data>(context);

    switch (myProvider.gameType) {
      case GameType.pickImage:
        return const GamePickImagePage();
      case GameType.pickWord:
        return const GamePickWordPage();
      default:
        return const GameSelector();
    }
  }
}
