import 'package:flutter/material.dart';

import 'package:wordguessing/provider/data.dart';
import 'package:wordguessing/ui/widgets/header_app.dart';

class StandardAppBar extends StatelessWidget implements PreferredSizeWidget {
  const StandardAppBar({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final List<Widget> menuActions = [];

    if (myProvider.gameType != null) {
      menuActions.add(
        IconButton(
          icon: const Icon(Icons.loop),
          onPressed: () => myProvider.resetGame(),
        ),
      );
    }

    return AppBar(
      title: const AppHeader(text: 'app_name'),
      actions: menuActions,
    );
  }

  @override
  Size get preferredSize => const Size.fromHeight(50);
}
